Package com.sun.jna.platform.win32

## Interface WinUser.WinEventProc

All Superinterfaces:
  `Callback`

Enclosing interface:
  WinUser

    public static interface WinUser.WinEventProc
    extends Callback

An application-defined callback (or hook) function that the system calls in response to events generated by an accessible object.
The hook function processes the event notifications as required.
Clients install the hook function and request specific types of event notifications by calling SetWinEventHook.
The WINEVENTPROC type defines a pointer to this callback function. WinEventProc is a placeholder for the application-defined function name.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.jna.Callback

`Callback.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from interface com.sun.jna.Callback

`FORBIDDEN_NAMES, METHOD_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `callback​(WinNT.HANDLE hWinEventHook, WinDef.DWORD event, WinDef.HWND hwnd, WinDef.LONG idObject, WinDef.LONG idChild, WinDef.DWORD dwEventThread, WinDef.DWORD dwmsEventTime)`

### Method Detail

#### callback

    void callback​(WinNT.HANDLE hWinEventHook,
                  WinDef.DWORD event,
                  WinDef.HWND hwnd,
                  WinDef.LONG idObject,
                  WinDef.LONG idChild,
                  WinDef.DWORD dwEventThread,
                  WinDef.DWORD dwmsEventTime)

Parameters:
  `hWinEventHook` - Type: HWINEVENTHOOK
  Handle to an event hook function.
  This value is returned by SetWinEventHook when the hook function is installed and is specific to each instance of the hook function.
  `event` - Type: DWORD
  Specifies the event that occurred.
  This value is one of the event constants.
  `hwnd` - Type: HWND
  Handle to the window that generates the event, or NULL if no window is associated with the event.
  For example, the mouse pointer is not associated with a window.
  `idObject` - Type: LONG
  Identifies the object associated with the event.
  This is one of the object identifiers or a custom object ID.
  `idChild` - Type: LONG
  Identifies whether the event was triggered by an object or a child element of the object.
  If this value is CHILDID_SELF, the event was triggered by the object; otherwise, this value is the child ID of the element that triggered the event.
  `dwEventThread` - Type: DWORD
  Identifies the thread that generated the event, or the thread that owns the current window.
  `dwmsEventTime` - Type: DWORD
  Specifies the time, in milliseconds, that the event was generated.